### Enumeration

# Gio MemoryMonitorWarningLevel

since: 2.64

#### Declaration

    enum Gio.MemoryMonitorWarningLevel

#### Description

Memory availability warning levels.

Note that because new values might be added, it is recommended that applications check `GMemoryMonitorWarningLevel` as ranges, for example:

    if (warning_level > G_MEMORY_MONITOR_WARNING_LEVEL_LOW)
      drop_caches ();

Available since: 2.64

#### Members

`G_MEMORY_MONITOR_WARNING_LEVEL_LOW`

  Memory on the device is low, processes should free up unneeded resources (for example, in-memory caches) so they can be used elsewhere.

  - Value: `50`
  - Nickname: `low`
  - Available since: 2.64
`G_MEMORY_MONITOR_WARNING_LEVEL_MEDIUM`

  Same as `G_MEMORY_MONITOR_WARNING_LEVEL_LOW` but the device has even less free memory, so processes should try harder to free up unneeded resources. If your process does not need to stay running, it is a good time for it to quit.

  - Value: `100`
  - Nickname: `medium`
  - Available since: 2.64
`G_MEMORY_MONITOR_WARNING_LEVEL_CRITICAL`

  The system will soon start terminating processes to reclaim memory, including background processes.

  - Value: `255`
  - Nickname: `critical`
  - Available since: 2.64